QGIS Application - Bug report #19908
Results of intersects geotraitement tools are not the same between 2.18 and 3.2.3
2018-09-21 09:59 AM - Florent LUQUET

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 27732
Description

The tool "Select by location" into "Processing Toolbox" responds a wrong result on the 3.2.3 version. See below the attachements
images.
The data are polygons (not multi polygons) with the same CRS.

History

#1 - 2018-09-21 10:38 AM - Nyall Dawson
- Status changed from Open to Feedback

Please attach the sample data used.

#2 - 2018-09-21 12:04 PM - Florent LUQUET
- File indicateur_3.gpkg added

Ok. Data into a geopackage attachement. Thanks

#3 - 2018-09-24 12:28 AM - Nyall Dawson

I've investigated and the cause of this issue is that the geometries in dalle_litto_3d are all invalid -- the polygon rings are not closed. This also causes
issues with other QGIS toals, e.g. you can't click to select polygons in this layer or use the identify tool on them. The solution is to run the "repair
geometries" algorithm over this layer to fix the geometries.

I'm curious how this layer was built though -- if it was the result of a QGIS algorithm or operation then that needs fixing to output valid polygons.

#4 - 2018-12-27 11:16 AM - Nyall Dawson

- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Files

QGIS 2.18.22 - Good intersects result.png 143 KB 2018-09-21 Florent LUQUET
QGIS 3.2.3 - Error intersects result.png 146 KB 2018-09-21 Florent LUQUET
indicateur_3.gpkg 1.66 MB 2018-09-21 Florent LUQUET
